Bug 167113 - CAN-2004-2392 libuser serious programming bugs
CAN-2004-2392 libuser serious programming bugs
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: libuser (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-08-30 11:25 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2005-770
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-22 10:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Relevant hunks of libuser-0.51.10 (6.59 KB, patch)
2005-09-11 10:48 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-08-30 11:25:21 EDT
+++ This bug was initially created as a clone of Bug #120168 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)

Description of problem:
During code review I could a number of serious programming bugs:

If there was a failure reading config data, the memory buffer was
taken to be valid.

On a read failure of /dev/urandom, buffer was taken to be valid. The
function could not indicate that a failure occurred or even retry if
errno == EINTR.

Upon a read failure, salt may be mostly 0's.

During unlock, a structure was being passed by value to a variadic

length returned by read was being caught in an unsigned variable which
would later cause write to output 4294967295 bytes of data.

flcose was being passed a NULL pointer in many places.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Found during code review

Additional info:

I will attach a patch that fixes all of these issues. I did not review
prior versions to see if they are susceptible to all these problems.

-- Additional comment from linux_4ever@yahoo.com on 2004-04-06 12:10 EST --
Created an attachment (id=99149)
Patch to fix all the problems listed above.

Please apply before fedora core 2 final.

This issue should also affect RHEL2.1

Please see the parent bug for more information.
Comment 3 Miloslav Trmač 2005-09-11 10:48:23 EDT
Created attachment 118691 [details]
Relevant hunks of libuser-0.51.10
Comment 4 Red Hat Bugzilla 2005-10-11 11:24:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 5 Miloslav Trmač 2005-10-11 11:26:18 EDT
(The above was RHEL2.1)

Note You need to log in before you can comment on or make changes to this bug.